Add new list
Create a new keyword list on your account.
Required fields:
name— list namekeyword_ids— array of keyword IDs to populate the list (may be empty to create an empty list)
Keyword IDs typically come from previous KWFinder lookups such as /kwfinder/related-keywords or /kwfinder/keyword-imports. Creating more lists than your plan allows returns HTTP 400.
Authorization
ApiKeyAuth x-access-token<token>
API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.mangools.com/v3/kwfinder/lists" \ -H "Content-Type: application/json" \ -d '{ "keyword_ids": [ "string" ], "name": "string" }'{
"_id": "6a29390c4c966b1271aef0d2",
"name": "My Awesome Keyword List",
"user_id": "005de7e7771450763339653e918778ef",
"keyword_ids": [
"005de7e7771450763339653e918778ef",
"005de7e7771450763339653e918778ef"
],
"created_at": 1590868935
}{
"error": {
"type": "AuthError",
"message": "Invalid API Key"
}
}{
"error": {
"type": "ValidationError",
"message": "Your request is invalid",
"errors": [
"\"kw\" is required"
]
}
}